Subject: bug#1078: 23.0.60; font faces setting ignored by emacsclient run against --daemon

From: [email-masked] (Stefano Zacchiroli)
Date: Fri, 3 Oct 2008 16:53:30 +0200 (CEST)

[ Disclaimer: I'm not sure this bug is legitimate, as it is about an
  emacs feature (--daemon) which is not even yet documented. Feel free
  to close it as bogus; I'm reporting it in the hope it is useful
  feedback ]

  I'm routinely using "emacsclient -c" against a main Emacs which have
  a (server-start) in its ~/.emacs to start the Emacs server by
  default. Everything is fine in that setting.

  However, if instead of using a main Emacs I use an Emacs demonized
  with --daemon, then the clients started by "emacsclient -c" start
  properly, but they ignore setting about font faces. 

  For reference, the customized faces I'm using have been set using
  Custom, here is the relevant sexp from my ~/.emacs:

  (custom-set-faces
  ;; custom-set-faces was added by Custom.
  ;; If you edit it by hand, you could mess it up, so be careful.
  ;; Your init file should contain only one such instance.
  ;; If there is more than one, they won't work right.
 '(default ((t (:inherit nil :stipple nil :background "white"
  :foreground "black" :inverse-video nil :box nil :strike-through nil
  :overline nil :underline nil :slant normal :weight normal :height 90
  :width normal :foundry "monospace" :family "monospace"))))

In GNU Emacs 23.0.60.1 (x86_64-pc-linux-gnu, GTK+ Version 2.12.11)
 of 2008-09-28 on elegiac, modified by Debian
 (emacs-snapshot package, version 1:20080928-1)
Windowing system distributor `The X.Org Foundation', version 11.0.10402000
configured using `configure  '--build' 'x86_64-linux-gnu' '--host' 'x86_64-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs-snapshot:/etc/emacs:/usr/local/share/emacs/23.0.60/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.0.60/site-lisp:/usr/share/emacs/site-lisp' '--with-x=yes' '--with-x-toolkit=gtk' 'build_alias=x86_64-linux-gnu' 'host_alias=x86_64-linux-gnu' 'CFLAGS=-DDEBIAN -DSITELOAD_PURESIZE_EXTRA=5000 -g -O2' 'LDFLAGS=-g -Wl,--as-needed' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: en_US.UTF-8
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: it_IT.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Emacs-Lisp

Minor modes in effect:
  iswitchb-mode: t
  show-paren-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> M-x e m <backspace> <backspace> r e p o 
<tab> r <tab> <return> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> C-g C-h r C-s f 
o n t C-s <return> <prior> <prior> <prior> <prior> 
C-s f a c e <return> C-x C-f ~ / . e m <tab> <return> 
M-x r e p o <tab> r <tab> <return>

Recent messages:
uncompressing emacs-8.gz...done
uncompressing emacs-2.gz...done
uncompressing emacs-3.gz...done
uncompressing emacs-4.gz...done
uncompressing emacs-5.gz...done
uncompressing emacs-6.gz...done
uncompressing emacs-7.gz...done
uncompressing emacs-8.gz...done
Mark saved where search started [2 times]
Making completion list...